%define upstream_name    Specio
%define upstream_version 0.51

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A class which represents parameterizable constraints
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(Clone::Choose)
BuildRequires: perl(Clone::PP)
BuildRequires: perl(Devel::StackTrace)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::File)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Implementation)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Role::Tiny) >= 1.3.3
BuildRequires: perl(Role::Tiny::With)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(XString)
BuildRequires: perl(lib)
BuildRequires: perl(open)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(re)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version) >= 0.830.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The 'Specio' distribution provides classes for representing type
constraints and coercion, along with syntax sugar for declaring them.

Note that this is not a proper type system for Perl. Nothing in this
distribution will magically make the Perl interpreter start checking a
value's type on assignment to a variable. In fact, there's no built-in way
to apply a type to a variable at all.

Instead, you can explicitly check a value against a type, and optionally
coerce values to that type.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.510.0-2.mga10
+ Revision: 2236028
- Mageia 10 Mass Rebuild

* Sun Jun 29 2025 tv <tv> 0.510.0-1.mga10
+ Revision: 2228701
- update to 0.51

* Wed Feb 19 2025 tv <tv> 0.500.0-1.mga10
+ Revision: 2149737
- update to 0.50

* Fri Jan 24 2025 tv <tv> 0.490.0-1.mga10
+ Revision: 2141528
- BR perl-Clone
- update to 0.49

* Sun Jun 12 2022 tv <tv> 0.480.0-1.mga9
+ Revision: 1864060
- update to 0.48

* Mon Mar 21 2022 umeabot <umeabot> 0.470.0-2.mga9
+ Revision: 1814021
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 0.470.0-1.mga9
+ Revision: 1690366
- update to 0.47

* Sun Mar 15 2020 tv <tv> 0.460.0-1.mga8
+ Revision: 1556417
- update to 0.46

* Tue Feb 18 2020 umeabot <umeabot> 0.450.0-3.mga8
+ Revision: 1538641
- Mageia 8 Mass Rebuild

* Mon Nov 25 2019 tv <tv> 0.450.0-2.mga8
+ Revision: 1462753
- BR perl(XString)

* Mon Nov 25 2019 tv <tv> 0.450.0-1.mga8
+ Revision: 1462725
- update to 0.45

* Sun Aug 25 2019 tv <tv> 0.440.0-1.mga8
+ Revision: 1431983
- update to 0.44

* Tue Oct 30 2018 tv <tv> 0.430.0-1.mga7
+ Revision: 1326609
- update to 0.43

* Thu Sep 20 2018 umeabot <umeabot> 0.420.0-2.mga7
+ Revision: 1286007
- Mageia 7 Mass Rebuild

* Mon Nov 06 2017 tv <tv> 0.420.0-1.mga7
+ Revision: 1176184
- update to 0.42

* Tue Oct 03 2017 tv <tv> 0.400.0-2.mga7
+ Revision: 1166584
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 0.400.0-1.mga7
+ Revision: 1155614
- update to 0.40

* Sat Jul 22 2017 shlomif <shlomif> 0.380.0-1.mga7
+ Revision: 1128139
- modernize spec
- Import from cpan2dist


* Fri Jul 21 2017 cpan2dist 0.38-1mga
- initial mageia release, generated with cpan2dist
